#!/bin/bash -e

install -v -d "${ROOTFS_DIR}/tmp/torch-install"
install -v -m 644 files/torch-agent_0.0.1-1_all.deb "${ROOTFS_DIR}/tmp/torch-install/"

on_chroot <<EOF
apt install -y /tmp/torch-install/torch-agent_0.0.1-1_all.deb
EOF

install -v -d 600 "${ROOTFS_DIR}/lib/systemd/system/torch-agent.service.d"
install -v -m 600 files/01-config-dir.conf "${ROOTFS_DIR}/lib/systemd/system/torch-agent.service.d/"

on_chroot <<EOF
systemctl daemon-reload
systemctl enable torch-agent.service
EOF

rm -rf "${ROOTFS_DIR}/tmp/torch-install"
